Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.beneservizioincatalogo.pojo
Class BeneServizioInCatalogo

    java.lang.Object
      it.svimservice.nsisr.web.ws.beneservizioincatalogo.pojo.BeneServizioInCatalogo

    public class BeneServizioInCatalogo

extends java.lang.Object

Constructor Summary
`BeneServizioInCatalogo()`

Method Summary
`CreateBeneServizioResponse` | `setCreateBeneServizio(AttributiAutorizzativi attributiAutorizzativi, CreateBeneServizioRequest request)` Il servizio consente di registrare una proposta di creazione di un nuovo bene o servizio all'interno del catalogo dei beni e servizi.
`DeleteBeneServizioResponse` | `setDeleteBeneServizio(AttributiAutorizzativi attributiAutorizzativi, DeleteBeneServizioRequest request)` Il servizio consente di registrare una proposta di cancellazione di un bene o servizio all'interno del catalogo dei beni e servizi.
`UpdateBeneServizioResponse` | `setUpdateBeneServizio(AttributiAutorizzativi attributiAutorizzativi, UpdateBeneServizioRequest request)` Il servizio consente di registrare una proposta di modifica dei dati di un bene o servizio del catalogo, identificato attraverso il codice identificativo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeneServizioInCatalogo

    public BeneServizioInCatalogo()

Method Detail

### setCreateBeneServizio

    public CreateBeneServizioResponse setCreateBeneServizio(AttributiAutorizzativi attributiAutorizzativi,
                                                            CreateBeneServizioRequest request)

  Il servizio consente di registrare una proposta di creazione di un nuovo bene o servizio all'interno del catalogo dei beni e servizi.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    CreateBeneServizioResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

### setDeleteBeneServizio

    public DeleteBeneServizioResponse setDeleteBeneServizio(AttributiAutorizzativi attributiAutorizzativi,
                                                            DeleteBeneServizioRequest request)

  Il servizio consente di registrare una proposta di cancellazione di un bene o servizio all'interno del catalogo dei beni e servizi.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    DeleteBeneServizioResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

### setUpdateBeneServizio

    public UpdateBeneServizioResponse setUpdateBeneServizio(AttributiAutorizzativi attributiAutorizzativi,
                                                            UpdateBeneServizioRequest request)

  Il servizio consente di registrare una proposta di modifica dei dati di un bene o servizio del catalogo, identificato attraverso il codice identificativo.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `request` - dati di input del servizio.
  Returns:
    UpdateBeneServizioResponse dati di output del servizio.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 002229: La proposta non puņ essere accolta.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD